IOSpec-0.3.1.2: A pure specification of the IO monad.

Safe Haskell | Safe-Inferred
Language | Haskell98

Test.IOSpec.Surrogate

Contents

- The IOSpec type
- The specifications

Description

This module contains a few type signatures to help replace pure specifications by their effectful counterparts.

Synopsis

- type IOSpec f a = IO a
- data ForkS
- data MVarS
- data IORefS
- data STMS
- data Teletype
- data f :+: g

# The IOSpec type

type IOSpec f a = IO a Source #

The `IOSpec f a` is merely type synonym for `IO a`. Once you've tested a module, you can use these definitions to avoid having to change your type signatures.

Note that because this definition of `IOSpec` ignores its `f` argument, each of `ForkS`, `MVarS`, etc., is simply an empty data type.

# The specifications

data ForkS Source #

data MVarS Source #

data IORefS Source #

data STMS Source #

data Teletype Source #

data f :+: g Source #